REMOVEPKG(8)

NOMBRE
removepkg - eliminar paquetes de Slackware.

SINOPSIS
removepkg nombrepaquete

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] nombrepaquete

DESCRIPCIÓN
removepkg elimina un paquete de Slackware instalado previamente, y escribe un reporte de progreso a la salida estándar. Un paquete puede ser especificado con el nombre completo (como se ve listado en /var/log/packages/), o con el nombre base del paquete. Por ejemplo, el paquete foo-1.0-i486-1.tgz puede ser eliminado con cualquiera de los siguientes comandos: removepkg foo-1.0-i486-1.tgz (también se reconocen: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Cuando se borran archivos, removepkg analizará los contenidos de otros paquetes instalados en su sistema, y solamente borrará los archivos que son únicos en el paquete que está siendo eliminado. De manera similar, los scripts de instalación para todos los demás paquetes serán considerados al decidir si borrar o no los enlaces simbólicos del paquete.

Eliminar un paquete (así como instalar uno) puede ser una tarea riesgosa. Por esta razón, la opción -warn está disponible. Cuando se utiliza, removepkg no borrará ningún archivo o enlace, pero desplegará un reporte detallado de lo que haría si en realidad se eliminara el paquete. Se sugiere que haga esto (y tal vez redireccionar la salida a less ) antes de eliminar paquetes para asegurarse que se ha hecho un respaldo de cualquier cosa que sea importante.

Cuando se elimina un paquete, el archivo de índice original será movido de /var/log/packages a /var/log/removed_packages. Asimismo, el script de instalación será movido de /var/log/scripts a /var/log/removed_scripts.

OPCIONES

-warn nombrepaquete
    Genera un reporte a la salida estándar con los archivos y directorios que serían borrados, pero en realidad no elimina el paquete.

-preserve nombrepaquete
    Si se especifica, la estructura de directorios completa del paquete se reconstruye en /var/log/setup/tmp/preserved_packages/nombrepaquete.

-copy nombrepaquete
    Construye una copia del paquete en /var/log/setup/tmp/preserved_packages/nombrepaquete, pero no lo elimina. (mismo efecto que -warn -preserve)

-keep
    Guarda los archivos intermedios creados por removepkg (lista de borrado, archivos requeridos, lista uniq, lista de enlaces borrados, enlaces requeridos, lista de requerimientos). Principalmente útil para propósitos de depuración.

Es posible eliminar un paquete de un sistema de archivos diferente de / al ejecutar removepkg con una variable de ambiente ROOT :

ROOT=/mnt removepkg paquete

AUTORES
Patrick J. Volkerding <volkerdi@slackware.com>, con mejoras por Christian Franke <c.franke@acm.org>

VER TAMBIÉN
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)